Import Export
GET
bearerAuthheader
AuthorizationBearer <JWT>from?stringFormat
dateto?stringFormat
datevehicleId?stringFormat
uuidtype?stringValue in
"business""private""commute""unclassified"Zusammenfassung
curl -X GET 'https://example.com/api/v1/export/summary'Example Response200
Empty
GET
Includes UTC timestamps plus local time, IANA time zone and UTC offset (DST-aware) for start and end of each trip.
bearerAuthheader
AuthorizationBearer <JWT>from?stringFormat
dateto?stringFormat
datevehicleId?stringFormat
uuidtype?stringValue in
"business""private""commute""unclassified"CSV-Datei
response?filetext/csvFormat
binarycurl -X GET 'https://example.com/api/v1/export/csv'Example Response200
"string"GET
bearerAuthheader
AuthorizationBearer <JWT>tripId?stringFormat
uuidGPX-Datei
response?fileapplication/gpx+xmlFormat
binarycurl -X GET 'https://example.com/api/v1/export/gpx'Example Response200
"string"GET
bearerAuthheader
AuthorizationBearer <JWT>from?stringFormat
dateto?stringFormat
datevehicleId?stringFormat
uuidtype?stringValue in
"business""private""commute""unclassified"PDF-Datei
response?fileapplication/pdfFormat
binarycurl -X GET 'https://example.com/api/v1/export/pdf'Example Response200
"string"POST
bearerAuthheader
AuthorizationBearer <JWT>multipart/form-data- body
file*fileFormat
binarydryRun?booleanDefault
falseImportergebnis
curl -X POST 'https://example.com/api/v1/import/csv' \ -F 'file=string'Example Response200
Empty
POST
bearerAuthheader
AuthorizationBearer <JWT>multipart/form-data- body
file*fileFormat
binaryvehicleId?stringFormat
uuidImportergebnis
curl -X POST 'https://example.com/api/v1/import/gpx' \ -F 'file=string'Example Response200
Empty
GET
bearerAuthheader
AuthorizationBearer <JWT>Successful response
curl -X GET 'https://example.com/api/v1/export/countries'Example Response
Empty